igeo.io

## Class IRhino3dm.RhinoObject

- java.lang.Object
- - igeo.io.IRhino3dm.RhinoObject

- Direct Known Subclasses:
    IRhino3dm.Bitmap, IRhino3dm.BrepFaceSide, IRhino3dm.BrepRegion, IRhino3dm.DimStyle, IRhino3dm.Font, IRhino3dm.Geometry, IRhino3dm.Group, IRhino3dm.HatchPattern, IRhino3dm.HistoryRecord, IRhino3dm.Layer, IRhino3dm.Linetype, IRhino3dm.Material, IRhino3dm.ObjectAttributes, IRhino3dm.Texture, IRhino3dm.TextureMapping, IRhino3dm.UserData
  Enclosing class:
    IRhino3dm

      public static class IRhino3dm.RhinoObject
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IRhino3dm.ObjectAttributes` | `attributes`
    `(package private) static int` | `objectTypeAnnotation`
    `(package private) static int` | `objectTypeAny`
    `(package private) static int` | `objectTypeBeam`
    `(package private) static int` | `objectTypeBrep`
    `(package private) static int` | `objectTypeCage`
    `(package private) static int` | `objectTypeClipPlane`
    `(package private) static int` | `objectTypeCurve`
    `(package private) static int` | `objectTypeDetail`
    `(package private) static int` | `objectTypeEdgeFilter`
    `(package private) static int` | `objectTypeExtrusion`
    `(package private) static int` | `objectTypeGrip`
    `(package private) static int` | `objectTypeHatch`
    `(package private) static int` | `objectTypeInstanceDefinition`
    `(package private) static int` | `objectTypeInstanceReference`
    `(package private) static int` | `objectTypeLayer`
    `(package private) static int` | `objectTypeLight`
    `(package private) static int` | `objectTypeLoop`
    `(package private) static int` | `objectTypeMaterial`
    `(package private) static int` | `objectTypeMesh`
    `(package private) static int` | `objectTypeMeshEdge`
    `(package private) static int` | `objectTypeMeshFace`
    `(package private) static int` | `objectTypeMeshVertex`
    `(package private) static int` | `objectTypeMorphControl`
    `(package private) static int` | `objectTypePhantom`
    `(package private) static int` | `objectTypePoint`
    `(package private) static int` | `objectTypePointset`
    `(package private) static int` | `objectTypePolyledgeFilter`
    `(package private) static int` | `objectTypePolysrfFilter`
    `(package private) static int` | `objectTypeSurface`
    `(package private) static int` | `objectTypeTextDot`
    `(package private) static int` | `objectTypeUnknown`
    `(package private) static int` | `objectTypeUserData`
    `IRhino3dm.UserData[]` | `userDataList`
    `static java.lang.String` | `uuid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RhinoObject()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IObject` | `createIObject(IRhino3dm.Rhino3dmFile context, IServerI s)`
    `IRhino3dm.UUID` | `getClassUUID()`
    `int` | `getType()`
    `void` | `read(IRhino3dm.Rhino3dmFile context, byte[] b)`
    `void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`
    `void` | `setAttributes(IRhino3dm.ObjectAttributes attr)`
    `void` | `setAttributesToIObject(IRhino3dm.Rhino3dmFile context, IObject e)`
    `void` | `write(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, java.util.zip.CRC32 crc)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uuid

          public static final java.lang.String uuid

      See Also:
        Constant Field Values

    - #### objectTypeUnknown

          static final int objectTypeUnknown

      See Also:
        Constant Field Values

    - #### objectTypePoint

          static final int objectTypePoint

      See Also:
        Constant Field Values

    - #### objectTypePointset

          static final int objectTypePointset

      See Also:
        Constant Field Values

    - #### objectTypeCurve

          static final int objectTypeCurve

      See Also:
        Constant Field Values

    - #### objectTypeSurface

          static final int objectTypeSurface

      See Also:
        Constant Field Values

    - #### objectTypeBrep

          static final int objectTypeBrep

      See Also:
        Constant Field Values

    - #### objectTypeMesh

          static final int objectTypeMesh

      See Also:
        Constant Field Values

    - #### objectTypeLayer

          static final int objectTypeLayer

      See Also:
        Constant Field Values

    - #### objectTypeMaterial

          static final int objectTypeMaterial

      See Also:
        Constant Field Values

    - #### objectTypeLight

          static final int objectTypeLight

      See Also:
        Constant Field Values

    - #### objectTypeAnnotation

          static final int objectTypeAnnotation

      See Also:
        Constant Field Values

    - #### objectTypeUserData

          static final int objectTypeUserData

      See Also:
        Constant Field Values

    - #### objectTypeInstanceDefinition

          static final int objectTypeInstanceDefinition

      See Also:
        Constant Field Values

    - #### objectTypeInstanceReference

          static final int objectTypeInstanceReference

      See Also:
        Constant Field Values

    - #### objectTypeTextDot

          static final int objectTypeTextDot

      See Also:
        Constant Field Values

    - #### objectTypeGrip

          static final int objectTypeGrip

      See Also:
        Constant Field Values

    - #### objectTypeDetail

          static final int objectTypeDetail

      See Also:
        Constant Field Values

    - #### objectTypeHatch

          static final int objectTypeHatch

      See Also:
        Constant Field Values

    - #### objectTypeMorphControl

          static final int objectTypeMorphControl

      See Also:
        Constant Field Values

    - #### objectTypeLoop

          static final int objectTypeLoop

      See Also:
        Constant Field Values

    - #### objectTypePolysrfFilter

          static final int objectTypePolysrfFilter

      See Also:
        Constant Field Values

    - #### objectTypeEdgeFilter

          static final int objectTypeEdgeFilter

      See Also:
        Constant Field Values

    - #### objectTypePolyledgeFilter

          static final int objectTypePolyledgeFilter

      See Also:
        Constant Field Values

    - #### objectTypeMeshVertex

          static final int objectTypeMeshVertex

      See Also:
        Constant Field Values

    - #### objectTypeMeshEdge

          static final int objectTypeMeshEdge

      See Also:
        Constant Field Values

    - #### objectTypeMeshFace

          static final int objectTypeMeshFace

      See Also:
        Constant Field Values

    - #### objectTypeCage

          static final int objectTypeCage

      See Also:
        Constant Field Values

    - #### objectTypePhantom

          static final int objectTypePhantom

      See Also:
        Constant Field Values

    - #### objectTypeClipPlane

          static final int objectTypeClipPlane

      See Also:
        Constant Field Values

    - #### objectTypeBeam

          static final int objectTypeBeam

      See Also:
        Constant Field Values

    - #### objectTypeExtrusion

          static final int objectTypeExtrusion

      See Also:
        Constant Field Values

    - #### objectTypeAny

          static final int objectTypeAny

      See Also:
        Constant Field Values

    - #### attributes

          public IRhino3dm.ObjectAttributes attributes

    - #### userDataList

          public IRhino3dm.UserData[] userDataList

  - ### Constructor Detail

    - #### RhinoObject

          public RhinoObject()

  - ### Method Detail

    - #### getClassUUID

          public IRhino3dm.UUID getClassUUID()

    - #### getType

          public int getType()

    - #### read

          public void read(IRhino3dm.Rhino3dmFile context,
                           byte[] b)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### read

          public void read(IRhino3dm.Rhino3dmFile context,
                           java.io.InputStream is)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public void write(IRhino3dm.Rhino3dmFile context,
                            java.io.OutputStream os,
                            java.util.zip.CRC32 crc)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### setAttributes

          public void setAttributes(IRhino3dm.ObjectAttributes attr)

    - #### createIObject

          public IObject createIObject(IRhino3dm.Rhino3dmFile context,
                                       IServerI s)

    - #### setAttributesToIObject

          public void setAttributesToIObject(IRhino3dm.Rhino3dmFile context,
                                             IObject e)